<?php
 /**
 * About module
 * http://www.aa-team.com
 * ======================
 *
 * @package		WooZoneVCSearch_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('WooZoneVCSearch_about') != true) {
	class WooZoneVCSearch_about {
		
		const WXR_VERSION = '1.0';
		
		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();
		
		private $action = '';
		private $wp_import = null;
		
		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;
		}
		
		public function print_interface()
		{
			$html = array();
			
			
		
			$html[] = '<div id="WooZoneVCSearch_iw-section-content" class="WooZoneVCSearch_iw-section-dashboard">';
			$html[] = 	'<div class="WooZoneVCSearch_iw-section-dashboard-row">';
			$html[] = 		'<div class="WooZoneVCSearch_iw-dashboard-box WooZoneVCSearch_iw-box-size-6">';
			$html[] = 			'<div class="WooZoneVCSearch_iw-dashboard-box-content">';
			$html[] = 				'<div class="WooZoneVCSearch_iw-dashboard-in-box-content">';
			$html[] = 					'
										<h1>Azon Addon allows you to add Amazon products into your Website. This is an addon for WP Bakery Page Builder, so you must have it installed. <br/> </h1>
<h4>
Start Making Money with Amazon’s Affiliate Programs with no effort!<br/>

Using the Azon Addon you will be able to browse through Amazon Departments and Showcase Products into any WordPress page! <br/>

No coding necessary, no amazon API keys, the addon works as is.<br/><br/>

<strong>There are 7 Azon Addons available: </strong><br/>
<ul>
<li>Azon - Custom ASIN(s) List - using this addon, if you already have an Amazon ASIN(s) list you can display the products in just a few clicks! To easily create ASIN(s) list, we recommend using the WooZone Chrome Extension! </li>
<li>Azon - BestSellers - using this addon you can showcase Amazon BestSeller Products straight to your website into any WordPress Page! <br/></li>
<li>Azon - New Releases - using this addon you can showcase Amazon Products from the New Releases section straight to your website into any WordPress Page! <br/></li>
<li>Azon - Most Wished For - using this addon you can showcase Amazon Products from the Most Wished For straight to your website into any WordPress Page! <br/></li>
<li>Azon - Gift Ideas - using this addon you can showcase Amazon Products from the Gift Ideas straight to your website into any WordPress Page! <br/></li>
<li>Azon - Movers & Shakers - using this addon you can showcase Amazon Products from the Movers & Shakers  straight to your website into any WordPress Page! <br/></li>
<li>Azon - Search Box- using this addon you can search for products on any Amazon Website and showcase those product search results into any WordPress page.<br/></li>

</ul>
 </h4>
										<h4> If you encounter any difficulties when using the plugin please make sure you read the <a style="color:red;" href="http://docs.aa-team.com/azon-addon/documentation/about-how-to-use/"/>Documentation of the plugin</a> and searched trough the Knowledgebase for usual problems. </h4>
										
										';

	
			$html[] = 				'</div>';
			$html[] = 			'</div>';
			$html[] = 		'</div>';
			$html[] = 	'</div>';
			$html[] = '</div>';
			
			return implode( "\n", $html );
		}
	}
}