<?php
/**
 * Amazon module return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */


echo json_encode(array(
	// create the box elements array
	'option_name' => WooZoneVCSearch()->alias .'_general',

	'tabs' => array(

        WooZoneVCSearch()->alias . '_amazon' => array(
            'label'     => 'Amazon Settings',
            'elements'  => 'amazon_ids,amazon_categories,checkout_type,geo_targeting,headline_text,button_text',
        ),


		/*WooZoneVCSearch()->alias . '_privacy_settings' => array(
			'label' 	=> 'Privacy Settings',
			'elements' 	=> 'campaign_type,password_access,roles',
		),
        
        WooZoneVCSearch()->alias . '_setup_backup' => array(
            'label'     => 'Import/Export',
            'elements'  => 'import,export',
        ),
		*/
	),

	'elements' => array(

		'checkout_type' => array(
            'type' => 'image_radio',
            'std' => 'add_to_cart',
            'size' => 'small',
            'title' => 'Checkout Type',
            'force_width' => '100',
            'options' => array(
                'direct' => array(
                    'caption' => 'Direct checkout',
                    'img' => WooZoneVCSearch()->assetUrl('images/redirect.png' )
                ),
                'add_to_cart' => array(
                    'caption' => 'Add to cart button',
                    'img' => WooZoneVCSearch()->assetUrl( 'images/add_cart.png' )
                ),
            ),
            'desc' => 'Select the checkout type, direct or add to cart.'
        ),

		'amazon_ids' => array(
			'title' => '<a href="https://affiliate-program.amazon.com/" target="_blank"><img src="' . ( WooZoneVCSearch()->assetUrl( 'images/affiliate-logo.png') ) .'" style="max-width: 90%" /></a>',
			'type' => 'amazon_ids',
            "std" => array(
                'com' => 'you-aff-id-com',
                'uk' => 'you-aff-id-uk',
                'de' => 'you-aff-id-de',
                'fr' => 'you-aff-id-fr',
                'jp' => 'you-aff-id-jp',
                'ca' => 'you-aff-id-ca',
                'cn' => 'you-aff-id-cn',
                'in' => 'you-aff-id-in',
                'it' => 'you-aff-id-it',
                'es' => 'you-aff-id-es',
                'br' => 'you-aff-id-br',
                'mx' => 'you-aff-id-mx',
            )
		),

        /*'amazon_categories' => array(
            'title' => 'Search Category',
            'type' => 'amazon_categories',
            "std" => array(
                'com' => 'All',
                'uk' => 'All',
                'de' => 'All',
                'fr' => 'All',
                'jp' => 'All',
                'ca' => 'All',
                'cn' => 'All',
                'in' => 'All',
                'it' => 'All',
                'es' => 'All',
                'br' => 'All',
                'mx' => 'All',
            )
        ),
        */

        'geo_targeting' => array(
            'title' => '<span><img src="' . ( WooZoneVCSearch()->assetUrl( 'images/icon-geo.png') ) .'" style="max-width: 90%;display:inline-block;vertical-align: middle;" /> <span style="margin-left: 10px;display:inline-block;vertical-align: middle;">Geotargeting</span></span>',
            'type' => 'geo_targeting',
            'std' => array(
                'geo_status'    => 'on',
                'service'       => 'www.geoplugin.net',
                'default_aff'   => 'com'
            )
        ),

        /*'headline_text' => array(
            'type' => 'text',
            'std' => 'Search results on Amazon {amazon_site_name}',
            'size' => 'small',
            'force_width' => '500',
            'title' => 'Headline Text',
            'desc' => 'Set custom text for box headline. Default: "Search results on Amazon {amazon_site_name}"'
        ),*/

		'button_text' => array(
            'type' => 'text',
            'std' => 'Buy now',
            'size' => 'small',
            'title' => 'Button Text',
            'desc' => 'Set custom text for buy button.'
        ),

	    /*'password_access' => array(
	        'type' => 'password_access',
	        'title' => 'Password Access',
	        'desc' => 'Generate a password or use your own password to access the products sales page',
	    ),

	    'roles' => array(
	        'type' => 'multiselect_left2right',
	        'title' => 'Roles access',
	        'options' => WooZoneVCSearch()->get_roles(),
	        'desc' => 'Show pages only for custom roles',
	    ),

	    'import' => array(
	        'type' => 'import',
	        'title' => 'Import',
	        'std' => '',
	    ),

	    'export' => array(
	        'type' => 'export',
	        'title' => 'Export',
	        'std' => '',
	    ),*/


	), // end elements
));